Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226441 - Merge Review: sudo
Summary: Merge Review: sudo
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karel Klíč
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:02 UTC by Nobody's working on this, feel free to take it
Modified: 2013-03-03 22:59 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-03 10:10:52 UTC
kklic: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:02:57 UTC
Fedora Merge Review: sudo

http://cvs.fedora.redhat.com/viewcvs/devel/sudo/
Initial Owner: pvrabec@redhat.com

Comment 1 Daniel Kopeček 2007-02-26 14:23:35 UTC
(!!) MUST: rpmlint output:
**** Review message:
W: sudo summary-ended-with-dot Allows restricted root access for specified users.
E: sudo configure-without-libdir-spec
   --libdir=%{_libdir} is missing in %configure 
W: sudo mixed-use-of-spaces-and-tabs (spaces: line 60, tab: line 65)

********************


Comment 2 Peter Vrabec 2007-02-26 19:26:21 UTC
(In reply to comment #1)
> (!!) MUST: rpmlint output:
> **** Review message:
> W: sudo summary-ended-with-dot Allows restricted root access for specified 
users.
Which sudo release?

> E: sudo configure-without-libdir-spec
>    --libdir=%{_libdir} is missing in %configure 
Even if I add this line, I'll get this error again. I'd like to ignore it, 
since sudo doesn't use lib directory for anything.

> W: sudo mixed-use-of-spaces-and-tabs (spaces: line 60, tab: line 65)
fixed




Comment 3 Karel Klíč 2009-12-10 11:15:19 UTC
[???] spec file contain source0 http://www.courtesan.com/sudo/dist/sudo-%{version}.tar.gz, but the file has been moved to http://www.courtesan.com/sudo/dist/OLD/sudo-%{version}.tar.gz
[YES] source files match upstream: af672524b2c854a67612bf4c743f58b8  sudo-1.7.1.tar.gz
[YES] package meets naming and versioning guidelines 
[YES] specfile is properly named, is cleanly written and uses macros consistently
[YES] dist tag is present
[YES] build root is correct
[YES] license field matches the actual license
[YES] license is open source-compatible
[YES] license text included in package
[NO] latest version is being packaged: latest version is sudo 1.7.2
[YES] BuildRequires are proper
[YES] compiler flags are appropriate
[YES] %clean is present
[YES] package builds in mock
[YES] debuginfo package looks complete
[NO] rpmlint is silent

$ rpmlint ./sudo-1.7.1-7.fc13.src.rpm 
sudo.src: W: mixed-use-of-spaces-and-tabs (spaces: line 70, tab: line 76)
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint ./sudo-1.7.1-7.fc13.i686.rpm 
sudo.i686: E: non-readable /etc/sudoers 0440
sudo.i686: W: file-not-utf8 /usr/share/doc/sudo-1.7.1/ChangeLog
sudo.i686: E: non-standard-dir-perm /var/run/sudo 0700
sudo.i686: E: setuid-binary /usr/bin/sudoedit root 04111
sudo.i686: E: non-standard-executable-perm /usr/bin/sudoedit 04111
sudo.i686: E: non-standard-executable-perm /usr/bin/sudoedit 04111
sudo.i686: E: setuid-binary /usr/bin/sudo root 04111
sudo.i686: E: non-standard-executable-perm /usr/bin/sudo 04111
sudo.i686: E: non-standard-executable-perm /usr/bin/sudo 04111
sudo.i686: W: dangerous-command-in-%post chmod
1 packages and 0 specfiles checked; 8 errors, 2 warnings.

The rpmlint output is appropriate for sudo.

[YES] final provides and requires look sane
[OK] no %check is present
[OK] no shared libraries are added to the regular linker search paths in app package
[OK] owns the directories it creates
[OK] doesn't own any directories it shouldn't
[YES] no duplicates in %files
[YES] file permissions are appropriate
[YES] scriptlets ok
[YES] code, not content
[YES] documentation is small, so no -docs subpackage is necessary
[YES] %docs are not necessary for the proper functioning of the package
[YES] no headers
[YES] no pkgconfig files
[YES] no libtool .la droppings
[YES] not a GUI app

Comment 4 Karel Klíč 2009-12-10 14:47:04 UTC
I am giving fedora-review+, there is nothing to be fixed on this package.
This review can be closed.

Comment 5 Robert Scheck 2010-02-03 20:20:04 UTC
sudo.i686: W: file-not-utf8 /usr/share/doc/sudo-1.7.2p2/ChangeLog - can you
please use e.g. iconv to get this file UTF-8?


Note You need to log in before you can comment on or make changes to this bug.